Bug 341171 - multiarch conflicts in freehdl
Summary: multiarch conflicts in freehdl
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: freehdl   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Eric Tanguy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-10-19 21:36 UTC by Bill Nottingham
Modified: 2014-03-17 03:09 UTC (History)
2 users (show)

Fixed In Version: 0.0.6-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-29 20:57:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Freehdl-config diff file for 1386 and x86_64 (928 bytes, text/plain)
2007-10-20 11:03 UTC, Eric Tanguy
no flags Details
Freehdl-libtool diff file for 1386 and x86_64 (6.21 KB, text/plain)
2007-10-20 11:03 UTC, Eric Tanguy
no flags Details

Description Bill Nottingham 2007-10-19 21:36:54 UTC
freehdl (or one of its subpacakges) has multiarch conflicts when installed for both i386 and x86_64 in the Fedora development tree. For help in resolving them, see http://fedoraproject.org/wiki/PackagingDrafts/MultilibTricks. 

  file /usr/bin/freehdl-config from install of freehdl-0.0.4-4.fc8 conflicts with file from package freehdl-0.0.4-4.fc8
  file /usr/bin/freehdl-libtool from install of freehdl-0.0.4-4.fc8 conflicts with file from package freehdl-0.0.4-4.fc8

(Note that this is an automated bug filing.)
It would be nice to have these bugs fixed by the beta of Fedora 9.

Comment 1 Eric Tanguy 2007-10-20 11:03:11 UTC
Created attachment 233381 [details]
Freehdl-config diff file for 1386 and x86_64

Comment 2 Eric Tanguy 2007-10-20 11:03:41 UTC
Created attachment 233391 [details]
Freehdl-libtool diff file for 1386 and x86_64

Comment 3 Eric Tanguy 2007-10-20 11:04:58 UTC
I don't know how to solve this bug. If someone could point me in the right
direction, it could help me.


Comment 4 Bill Nottingham 2007-10-22 19:52:51 UTC
For freehdl-config, the normal fix is to generate pkgconfig files for freehdl,
and change freehdl-config to call that.

Is freehdl-libtool actually used? (Why would a package need to ship its own
libtool copy?)

Comment 5 Eric Tanguy 2007-10-23 17:58:40 UTC
I'm sorry but i don't know what you mean and i don't know how to do that. I have
no answer from upstream about this. Someone could help me ?

Comment 6 Bill Nottingham 2007-10-23 18:49:09 UTC
See /usr/bin/freetype-config for an example of a *-config script ported to use
pkgconfig. You'll need to create pkgconfig files to use with that as well.

Comment 7 Sergio Pascual 2008-03-18 10:56:13 UTC
I'm afraid I'm going to add more trouble to you, but freehdl simply doesn't work
in x86_64. The command /usr/bin/gvhdl is a perl script and it has hardcoded
paths to libraries: 

my $cpplibs = "-lm FREEHDL/lib/libfreehdl-kernel.la FREEHDL/lib/libfreehdl-std.la";

elsif ($argument =~ /^\--libieee/) {
        $cpplibs .= " " . update ("FREEHDL/lib/freehdl/libieee.la");

This doesn't work in systems where the libraries are in /usr/lib64

By the way, if I edit /usr/bin/gvhdl and change these paths by the /usr/lib64
equivalents, it works. And it work if I also change freehdl-libtool by libtool.
Probably you don't need to ship your own copy of libtool.



Comment 8 Eric Tanguy 2008-03-18 11:05:52 UTC
In the cvs version system libtool pkgconfig are used. Upstream wait the next
release of qucs to release it.

Comment 9 Fedora Update System 2008-04-19 16:02:51 UTC
freehdl-0.0.6-1.fc8 has been submitted as an update for Fedora 8

Comment 10 Fedora Update System 2008-04-22 22:36:42 UTC
freehdl-0.0.6-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update freehdl'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-3232

Comment 11 Fedora Update System 2008-04-29 20:57:50 UTC
freehdl-0.0.6-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.